
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android通过json向MySQL中读写数据的方法详解【写入篇】 / iVAN</title>

    <meta name="description" content="Android通过json向MySQL中读写数据的方法详解【写入篇】 本文实例讲述了Android通过json向MySQL中写入数据的方法.分享给大家供大家参考,具体如下: 先说一下如何通过json将Android程序中的数据上传到MySQL中: 首先定义一个类JSONParser.Java类,将json上传数据的方法封装好,可以直接在主程序中调用该类,代码如下 public class JSONParser { static InputStream is = null; static JSONObject jObj = null; static String j">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android通过json向MySQL中读写数据的方法详解【写入篇】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了Android通过json向MySQL中写入数据的方法。分享给大家供大家参考，具体如下：</p>
<p>先说一下如何通过json将Android程序中的数据上传到MySQL中：</p>
<p>首先定义一个类JSONParser.Java类，将json上传数据的方法封装好，可以直接在主程序中调用该类，代码如下</p>
<p>public class JSONParser { static InputStream is = null; static JSONObject jObj = null; static String json = &quot;&quot;; // constructor public JSONParser() { } // function get json from url // by making HTTP POST public JSONObject makeHttpRequest(String url, String method, List&lt;NameValuePair&gt; params) { // Making HTTP request try { // request method is POST // defaultHttpClient DefaultHttpClient httpClient = new DefaultHttpClient(); HttpPost httpPost = new HttpPost(url); httpPost.setEntity(new UrlEncodedFormEntity(params,HTTP.UTF_8)); HttpResponse httpResponse = httpClient.execute(httpPost); HttpEntity httpEntity = httpResponse.getEntity(); is = httpEntity.getContent(); } catch (UnsupportedEncodingException e) { e.printStackTrace(); } catch (ClientProtocolException e) { e.printStackTrace(); } catch (IOException e) { e.printStackTrace(); } try { BufferedReader reader = new BufferedReader(new InputStreamReader( is, &quot;UTF-8&quot;)); StringBuilder sb = new StringBuilder(); String line = null; while ((line = reader.readLine()) != null) { sb.append(line + &quot;\n&quot;); } is.close(); json = sb.toString(); } catch (Exception e) { Log.e(&quot;Buffer Error&quot;, &quot;Error converting result &quot; + e.toString()); Log.d(&quot;json&quot;, json.toString()); } // try parse the string to a JSON object try { jObj = new JSONObject(json); } catch (JSONException e) { Log.e(&quot;JSON Parser&quot;, &quot;Error parsing data &quot; + e.toString()); } // return JSON String return jObj; } }<br />
<br />主程序中这样调用：</p>
<p>params = new ArrayList&lt;NameValuePair&gt;(); //这里可以替换成你自己程序中的一些键值对 params.add(new BasicNameValuePair(&quot;time&quot;, &quot;&quot;+time)); params.add(new BasicNameValuePair(&quot;lat&quot;, &quot;&quot;+lat)); params.add(new BasicNameValuePair(&quot;lon&quot;, &quot;&quot;+lon)); params.add(new BasicNameValuePair(&quot;encyptiontype&quot;,encyptiontype)); params.add(new BasicNameValuePair(&quot;rssi&quot;,rssi)); params.add(new BasicNameValuePair(&quot;name&quot;,name)); JSONParser jsonParser = new JSONParser(); //数据的php文件的路径 String url_up = &quot;******/文件名字.php&quot;; try{ JSONObject json = jsonParser.makeHttpRequest(url_up,&quot;POST&quot;, params); Log.v(&quot;uploadsucceed&quot;, &quot;uploadsucceed&quot;); }catch(Exception e){ e.printStackTrace(); }<br />
<br />最后就是定义一个接收数据的php文件：</p>
<p>&lt;?php // array for JSON response //此处需要将数据库名和表明还有密码做相应修改，改成你自己的 $con = mysql_connect(&quot;localhost&quot;,&quot;root&quot;,null); if (!$con) { die('Could not connect:'.mysql_error() ); } mysql_select_db(&quot;a0722152915&quot;, $con); $response = array(); include(&quot;conn.php&quot;); // check for required fields if (isset($_POST['time']) &amp;&amp; isset($_POST['lat']) &amp;&amp; isset($_POST['lon'])&amp;&amp; isset($_POST['encyptiontype'])&amp;&amp; isset($_POST['rssi'])&amp;&amp; isset($_POST['name'])) { $time = $_POST['time']; $lat = $_POST['lat']; $lon = $_POST['lon']; $encyptiontype = $_POST['encyptiontype']; $rssi = $_POST['rssi']; $name = $_POST['name']; $result = mysql_query(&quot;INSERT INTO wifi_state(time, lat, lon,encyptiontype,rssi,name) VALUES('$time', '$lat', '$lon','$encyptiontype','$rssi','$name')&quot;); echo $result; // check if row inserted or not if ($result) { // successfully inserted into database $response[&quot;success&quot;] = 1; $response[&quot;message&quot;] = &quot;Product successfully created.&quot;; // echoing JSON response echo json_encode($response); } else { // failed to insert row $response[&quot;success&quot;] = 0; $response[&quot;message&quot;] = &quot;Oops! An error occurred.&quot;; // echoing JSON response echo json_encode($response); } } else { // required field is missing $response[&quot;success&quot;] = 0; $response[&quot;message&quot;] = &quot;Required field(s) is missing&quot;; // echoing JSON response echo json_encode($response); } ?&gt;<br />
<br />注意：如果你的设备中android操作系统是4.0以上的，那么要在主程序中加上下面一段代码，才能上传成功</p>
<p>StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder() .detectDiskReads() .detectDiskWrites() .detectNetwork() // or .detectAll() for all detectable problems .penaltyLog() .build()); StrictMode.setVmPolicy(new StrictMode.VmPolicy.Builder() .detectLeakedSqlLiteObjects() .detectLeakedClosableObjects() .penaltyLog() .penaltyDeath() .build());<br />
<br />如果是4.0以下的操作系统当然不用加了</p>
<p>下面是上传成功后的效果图：</p>
<p>读数据的方法讲放在下一篇《Android通过json向MySQL中读写数据的方法详解【读取篇】》中介绍</p>
<p>更多关于Android相关内容感兴趣的读者可查看本站专题：《Android操作json格式数据技巧总结》、《Android数据库操作技巧总结》、《Android编程之activity操作技巧总结》、《Android文件操作技巧汇总》、《Android编程开发之SD卡操作方法汇总》、《Android开发入门与进阶教程》、《Android资源操作技巧汇总》、《Android视图View技巧总结》及《Android控件用法总结》</p>
<p>希望本文所述对大家Android程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:01:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/%e8%af%bb%e5%86%99%e6%95%b0%e6%8d%ae/" title="读写数据">读写数据</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android通过json向MySQL中读写数据的方法详解【写入篇】的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2Jl4z.html" rel="bookmark">Android通过json向MySQL中读写数据的方法详解【读取篇】&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android通过json向MySQL中读取数据的方法.分享给大家供大家参考,具体如下: 首先 要定义几个解析json的方法parseJsonMulti,代码如下: private void parseJsonMulti(String strResult) { try { Log.v(&quot;strResult11&quot;,&quot;strResult11=&quot;+strResult); int index=strResult.indexOf(&quot;[&quot;);			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgmNPZz.html" rel="bookmark">Android通过json向MySQL中读写数据的方法详解【写入篇】&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android通过json向MySQL中写入数据的方法.分享给大家供大家参考,具体如下: 先说一下如何通过json将Android程序中的数据上传到MySQL中: 首先定义一个类JSONParser.Java类,将json上传数据的方法封装好,可以直接在主程序中调用该类,代码如下 public class JSONParser { static InputStream is = null; static JSONObject jObj = null; static String j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zea5oAz.html" rel="bookmark">Android通过json向MySQL中读写数据的方法详解【读取篇】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android通过json向MySQL中读取数据的方法.分享给大家供大家参考,具体如下: 首先 要定义几个解析json的方法parseJsonMulti,代码如下: private void parseJsonMulti(String strResult) { try { Log.v(&quot;strResult11&quot;,&quot;strResult11=&quot;+strResult); int index=strResult.indexOf(&quot;[&quot;);			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxvKr0z.html" rel="bookmark">MySQL中mysqldump工具使用方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导出要用到MySQL的mysqldump工具,基本用法是:    代码如下 复制代码 shell&gt; mysqldump [OPTIONS] database [tables]   如果你不给定任何表,整个数据库将被导出.   通过执行mysqldump --help,你能得到你mysqldump的版本支持的选项表.   注意,如果你运行mysqldump没有--quick或--opt选项,mysqldump将在导出结果前装载整个结果集到内存中,如果你正在导出一个大的数据库,这将可能是一个问题. 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Z73Zb.html" rel="bookmark">MySQL导出备份&lpar;数据导出&rpar;方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				表数据导出到一个文本文件最简单的方法是使用SELECT... INTO OUTFILE语句的查询结果直接导出到一个文件在服务器主机上. 导出数据的SELECT...INTO OUTFILE声明: 这句话的语法结合了常规的SELECT INTO OUTFILE文件名的末尾.默认的输出格式是相同的LOAD DATA,所以下面的语句导出tutorials_tbl的表制表符分隔的,换行结尾的文件到/tmp/tutorials.txt:  代码如下 复制代码 mysql&gt; SELECT * FROM tu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlVgRb.html" rel="bookmark">在php和MySql中计算时间差的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在php中计算时间差有时候是件麻烦的事!不过只要你掌握了日期时间函数的用法那这些也就变的简单了. 最近在研究自己爱围脖的时候就要计算到恋爱天数,这需要php根据每天的日期进行计算,下面就来谈谈实现这种日期计算的几种方法: (1) 如果有数据库就很容易了!若是MSSQL可以使用触发器!用专门计算日期差的函数datediff()便可!若是MYSQL那就用两个日期字段的差值计算的计算结果保存在另一个数值型字段中!用时调用便可! (2)如果没有数据库,那就得完全用php的时间日期函数! 下面主要说明之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEyG6z.html" rel="bookmark">在php和MySql中计算时间差的方法详解&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在php中计算时间差有时候是件麻烦的事!不过只要你掌握了日期时间函数的用法那这些也就变的简单了. 最近在研究自己爱围脖的时候就要计算到恋爱天数,这需要php根据每天的日期进行计算,下面就来谈谈实现这种日期计算的几种方法: (1) 如果有数据库就很容易了!若是MSSQL可以使用触发器!用专门计算日期差的函数datediff()便可!若是MYSQL那就用两个日期字段的差值计算的计算结果保存在另一个数值型字段中!用时调用便可! (2)如果没有数据库,那就得完全用php的时间日期函数! 下面主要说明之:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwX6nvb.html" rel="bookmark">Mysql中limit的用法方法详解与注意事项&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在我们使用查询语句的时候,经常要返回前几条或者中间某几行数据,这个时候怎么办呢?不用担心, mysql已经为我们提供了这样一个功能. SELECT * FROM table  LIMIT [offset,] rows | rows OFFSET offset LIMIT 子句可以被用于强制 SELECT 语句返回指定的记录数.LIMIT 接受一个或两个数字参数.参数必须 是一个整数常量.如果给定两个参数,第一个参数指定第一个返回记录行的偏移量,第二个参数指定返回 记录行的最大数目.初始记录行的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKyXVnp.html" rel="bookmark">mysql中日期比较大小方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				假如有个表product有个字段add_time,它的数据类型为datetime,有人可能会这样写sql:  代码如下 复制代码 select * from product where add_time = '2013-01-12' 对于这种语句,如果你存储的格式是YY-mm-dd是这样的,那么OK,如果你存储的格式是:2013-01-12 23:23:56这种格式你就悲剧了,这是你就可以使用DATE()函数用来返回日期的部分,所以这条sql应该如下处理:  代码如下 复制代码 select *			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq7k2z.html" rel="bookmark" class="title">java-don&amp;amp&semi;amp&semi;&num;39&semi;t flush the Session after an exception occurs</a>
					<div>
						问题描述 don't flush the Session after an exception occurs 我的框架是ssh,数据库中设置了唯一索引,为避免重复数据写入,然后在service中写了t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBnONb.html" rel="bookmark" class="title">做图片站的一些新人指导</a>
					<div>
						本人做站也是刚做半年吧,自己的图片站日ip有3000-4000左右吧,也是不是很稳定的.现在发表一下自己对做图片站的一些小心得吧. 原创:做图片站最好有一批原创的团队.不是说一定要原创自己的拍的那种, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAOoXz.html" rel="bookmark" class="title">IOS中UIPickerView的属性及委托方法</a>
					<div>
						属性 numberOfComponents (readonly) 选择框的行数 dataSource (readonly) 数据源 delegate 委托 (BOOL)showsSelectionIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP6rOM.html" rel="bookmark" class="title">一步一步学习sqlserver BI--数据仓库设计</a>
					<div>
						因为项目还没有真正开始,但是接触BI已有半年多,手痒,这几天准备搞一个简化版本的BI项目.一 方面给刚BI入门的朋友一个参考,另外一方面也为自己的将要开始的项目做个准备,让自己能够考虑到 一些项目的细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ794qb.html" rel="bookmark" class="title">word文档怎么自动输入编号</a>
					<div>
						  word文档怎么自动输入编号 1.如图,我们希望word能自动帮我们输入前面的编号,我们只要在编号后面加上内容就可以了. 2.将光标放在需要插入编号的地方,按右键,选择&quot;编号&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7Znb.html" rel="bookmark" class="title">给Windows 7下一剂猛药&comma;让你USB全消失</a>
					<div>
						在&quot;禁止Windows 7自动识别并为USB设备安装驱动&quot;一文里,我们其实已经&quot;接近&quot;完美的解决了&quot;USB设备自动运行会中毒&quot;的问题.但偏偏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EDwdM.html" rel="bookmark" class="title">主板板型有哪些&quest;</a>
					<div>
						  主板板型有哪些?经常有DIY装机的朋友会问,买主板什么板型主板好啊,是选主板大板还是小板呢?对于这样的一个问题,有时候挺难回答的,因为装机的时候,选择主板板型不仅与机箱搭配有关,还与自己的需求有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjRgZp.html" rel="bookmark" class="title">四种asp 电子邮箱验证函数</a>
					<div>
						Public Function IsEmail(ByVal PString) Dim Plt,Pgt : Plt = False : Pgt = False For x = 2 To Len(PStr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm60Ljz.html" rel="bookmark" class="title">让DOS下输入命令时也可以象LiUnix一样用Tab键进行命令自动填充</a>
					<div>
						http://yulimin.javaeye.com/blog/45818 让DOS下输入命令时也可以象LiUnix一样用Tab键进行命令自动填充方法: 修改注册表操作: 运行regedit 展开 H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR28Ab.html" rel="bookmark" class="title">mysql 存储过程 1242-xml定期交换数据的问题</a>
					<div>
						问题描述 xml定期交换数据的问题 xml定期交换数据,怎么知道数据是否已经使用过了,这样就不会出现数据重复录入的问题,求大牛解答-- 解决方案 或许可以考虑做一个属性标记一下,true表示使用过,f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AZL4z.html" rel="bookmark" class="title">关于webStrom-11&period;1配置less且自动生成&period;css和自动压缩为&period;min&period;css&sol;&period;min&period;js</a>
					<div>
						网上看过很多配置思路,自己总结了以下, 就把我个人配置的顺序以及材料分享下,webstrom以下简称WB 1.配置less需要安装nodejs,自行安装.因为要用到npm.我是直接把npm解压到C盘根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWXxkz.html" rel="bookmark" class="title">离散性问题-基本遗传算法和基本粒子群算法  在解决离散型问题上的比较？</a>
					<div>
						问题描述 基本遗传算法和基本粒子群算法 在解决离散型问题上的比较? 如题,请问大家在解决离散型的问题上,比如TSP问题,基本的GA和基本PSO有何区别呢? 哪个更好些呢? 对这两种算法了解的亲,请分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBGLjz.html" rel="bookmark" class="title">大众点评龙伟：大数据不是行业，也难形成产业</a>
					<div>
						&quot;大众点评本身就是一个大数据网站.&quot;大众点评联合创始人龙伟在接受21世纪经济报道记者专访时表示,截至今年第三季度,大众点评的点评数已达4200万条.另据了解,目前大众点评的月活跃用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12rjop.html" rel="bookmark" class="title">阿里云高性能计算HPC北京区域如何利用VPN访问公网</a>
					<div>
						背景 阿里云高性能计算HPC于2016年12月13日正式开通了北京区域的服务,相比于杭州区域的服务,北京区域同一个帐号下的HPC机器可以内网互通,但是仍然不能访问公网:本文将指导有访问公网需求的用户设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R86Az.html" rel="bookmark" class="title">cocos2dx之如何优化内存使用</a>
					<div>
						内存优化原则 为了优化应用内存,你应该知道是什么消耗了你应用的大部分内存,答案就是Texture(纹理)!它几乎占据了90%的应用内存.那么我们应该尽力去减小我们应用的纹理内存使用,否则我们的应用进程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXLOQb.html" rel="bookmark" class="title">为什么WPF中ToolTip的StaysOpen属性，完全没有效果？</a>
					<div>
						问题描述 有人用过这个属性吗? 解决方案 本帖最后由 mxkycwqw 于 2012-04-08 15:26:04 编辑解决方案二:没有人用过?StayOpen属性?解决方案三:我查了msdn,根本没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8K8Wb.html" rel="bookmark" class="title">javascript禁用浏览器后退按钮实现代码</a>
					<div>
						用于实现该功能的JavaScript代码如下: 所示:  代码如下 复制代码 &lt;script language=&quot;JavaScript&quot;&gt; &lt;!-- javasc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1k70b.html" rel="bookmark" class="title">PHP使用token防止表单重复提交的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP使用token防止表单重复提交的方法.分享给大家供大家参考,具体如下: &lt;?php /* * PHP使用token防止表单重复提交 * 此处理方法纯粹是为了给初学者参考 */ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkoKNM.html" rel="bookmark" class="title">Android评论图片可移动顺序选择器&lpar;推荐&rpar;&lowbar;Android</a>
					<div>
						好久没写了,现在在广州一家公司实习了,来了一个月了,实习生没什么事干,看到公司一个项目.Android和iOS的做的不一样(ios做这个项目的人多,额不解释..原来做这个玩意的也跳槽了),既ios的做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmD3Np.html" rel="bookmark" class="title">ASP&period;NET Calendar日历&lpar;日期&rpar;控件使用方法&lowbar;基础应用</a>
					<div>
						Calendar 控件显示一个日历,用户可通过该日历导航到任意一年的任意一天.当 ASP.NET 网页运行时,Calendar 控件以 HTML 表格的形式呈现.因此,该控件的许多属性与多种不同的表格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQedM.html" rel="bookmark" class="title">关键词的选择和链接优化</a>
					<div>
						google就不多说了,做过seo的都知道google比百度要公正的多,而我们关心的正式占据着70%搜索市场的BT百度排名:洛克环 排名 第12目前还是不很理想,由于商务快车等自动发信息的软件的作用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8kNAb.html" rel="bookmark" class="title">在Dundas Chart里如果实现空值的断开</a>
					<div>
						问题描述 有没有知道这样的折线图在EXCEL里是断开的,在DundasChart里如果实现这样的断开,也是用同样的数据,断开以后这在EXCEL里还是同一条线,我在DundasChart里实现拆线图时都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo1ZZM.html" rel="bookmark" class="title">辉瑞生产禽类用药或致美国市场部分鸡肉含砒霜</a>
					<div>
						美市场部分鸡肉含砒霜(资料图) 自欧洲肠出血性大肠杆菌疫情暴发以来,对食品的恐慌情绪蔓延欧洲多国.一波未平一波又起,日前媒体披露,美国市场部分鸡肉可能含有少量砒霜. 辉瑞公司一款在美国从20世纪40年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1GwvM.html" rel="bookmark" class="title">android 按钮问题 回答测试小程序</a>
					<div>
						问题描述 android 按钮问题 回答测试小程序 我设置了一个简单的问答测试&quot;我住在3楼&quot;这个应该回答我设置的是正确,点击Ture按钮显示正确,为什么点击False按钮还是显示正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLnNjp.html" rel="bookmark" class="title">Data Guard Broker系列之二：Data Guard Broker配置实战</a>
					<div>
						配置之前DG环境状态 测试的DG环境安装在同一个机器上,当前两个数据库处于同步的状态,两个实例的名字分别是TORCLA和TORCLB,数据库的名字TORCL,数据库DB_DOMAIN设置为mycomp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdjjwM.html" rel="bookmark" class="title">android Handler</a>
					<div>
						Handler基本概念: Handler主要用于异步消息的处理:当发出一个消息之后,首先进入一个消息队列,发送消息的函数即刻返回,而另外一个部分逐个的在消息队列中将消息取出,然后对消息进行出来,就是发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqO1V3z.html" rel="bookmark" class="title">数据结构 有关多维数组的问题</a>
					<div>
						问题描述 数据结构 有关多维数组的问题 int main(){ nArray A(2, 3, 4); } /******************************/ template class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLXBAp.html" rel="bookmark" class="title">电商企业加速供应链整合</a>
					<div>
						&quot;中国的电商行业将迎来一轮新的洗牌&quot;一位电子商务领域的研究学者如是说道. 自2011年以来,以淘宝.京东.当当为首的中国电商行业不断加速着供应链整合的步伐.2011年1月,阿里巴巴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgWjWBM.html" rel="bookmark" class="title">小仓优子明年结婚将退演艺圈男方为SMAP造型师</a>
					<div>
						小仓优子资料图 新浪娱乐讯 北京时间11月9日消息,据日本媒体报道,日本知名偶像女星小仓优子突然宣布要在明年二月和交往中的男友菊池勳结婚,还将因此退出演艺圈,这突如其来的消息令很多人感到吃惊. 小仓优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXgBnM.html" rel="bookmark" class="title">谷歌应考虑收购Netflix：真正双赢交易</a>
					<div>
						导语:著名投资网站Seekingalpha周五发表分析文章称,谷歌应该收购在线电影租赁服务商Netflix,这是笔双赢交易,谷歌可以帮助Netflix控制成本,Netflix则为谷歌带去更多商业机会, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
